# Rainbow Six | Steve

**NOTE: Every single weapon now has a vanilla backup! This means that none of the mods are *strictly* necessary anymore, but keep in mind that some of the vanilla versions will look pretty inaccurate compared to the mod versions, but should function roughly the same.**

Are you ready to oper8 like never before?? Get ready to kick in the door with Rainbow Six Steve! Featuring every operator currently in Siege, this character is loadout-based. Each purchase will give you one operator's entire kit. Primary/secondary/gadgets all chosen at random from that operator's possible weapons.

Fight against the White Mask Sosigs, and watch out for the terrifying Bombers! Don't get too close to them, or you will regret it.

Steve is meant to mimic Siege gameplay, so he's very challenging and has zero health drops! (except for Doc, obviously). So watch your corners and don't take undue risks with the minimal health you have.

Note: You'll notice some guns spawn with rail hats. This is because I replaced the red dots in the RequireSight table with rail hats, since every gun you get will have iron sights already.

[You can check out Jeditobiwan's playthrough of Steve here.](https://www.youtube.com/watch?v=v61kzydFpUI)

If you'd like to support my work, buy me a coffee! I'll use anything I earn on Ko-fi for purchasing more assets/models for future mods.

![Exampled Video](https://az743702.vo.msecnd.net/cdn/kofi3.png?v=0)

Please give me feedback and bug reports on any of the H3 discords (SirPotatos).

## Required Mods List

Due to the very unique and varied firearms in Siege, this character uses many different mods to recreate every gun in Siege. The mods are listed in order of importance. Prioritize the ones at the top of the lists! **If you don't want to install any, no sweat! Every gun listed here has a vanilla gun counterpart that will replace it if the mod is missing.**

### ESSENTIAL

[Essential Modpack](https://h3vr.thunderstore.io/package/sirpotatos/R6Steve_EssentialMods/) (downloads all the essential mods listed below)

These mods are used by a large number of the loadouts (used by 6+ operators). Please install all of these if you can.

* [Meat's ModulShotguns](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulShotguns/)
* [FTW Arms Modular Addons](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modular_Addons/)
* [Meat's ModulAR](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulAR/)
* [Potatoes Pistols](https://h3vr.thunderstore.io/package/Potatoes/Potatoes_Pistols/)
* [Potatoes Revolvers](https://h3vr.thunderstore.io/package/Potatoes/Potatoes_Revolvers/)

### Operator-Specific

[Operator-Specific Modpack](https://h3vr.thunderstore.io/package/sirpotatos/R6Steve_OperatorSpecificMods/) (downloads all the operator-specific mods listed below EXCEPT FOR THE FLASH SHIELD! Download the version of the flash shield you want separately.)

These mods are only used by 1 operator each, but they add very unique gadgets and/or guns that are important to the loadout.

* [FTW Arms Ela's Loadout](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Elas_Loadout/)
* [Dr. Potato's Home Remedies](https://h3vr.thunderstore.io/package/sirpotatos/DrPotatosHomeRemedies/)
* [Shampooh's Flash Shield (for Righties)](https://h3vr.thunderstore.io/package/Shampoohs/Flash_Shield_forRIGHTHandedPlayers/) OR [Shampooh's Flash Shield (for Lefties)](https://h3vr.thunderstore.io/package/Shampoohs/Flash_Shield_forLEFTHandedPlayers/) OR [Shampooh's Flash Shield (Both versions)](https://h3vr.thunderstore.io/package/Shampoohs/Flash_Shield_BothVersions/)
* [Gunshields](https://h3vr.thunderstore.io/package/carkidd/Gunshields/)
* [MeatBeat Scanner](https://h3vr.thunderstore.io/package/cityrobo/MeatBeat_Scanner/)
* [Potatoes Rifles](https://h3vr.thunderstore.io/package/Potatoes/Potatoes_Rifles/)
* [CTS Pack](https://h3vr.thunderstore.io/package/Nikpo/CTS_Pack/)

### Recommended

[Recommended Modpack](https://h3vr.thunderstore.io/package/sirpotatos/R6Steve_RecommendedMods/) (downloads all the recommended mods listed below)

Used by 2 - 5 operators.

* [Meat's ModulSIG](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulSIG/)
* [Meat's ModulAK](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModulAK/)
* [Meat's M45A1](https://h3vr.thunderstore.io/package/Meat_banono/Meats_M45A1/)
* [FTW Arms Modular M1A](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Modular_M1a/)
* [FTW Arms ITA12L Shotgun](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_ITA12L_Shotgun/)
* [FTW Arms Spear 308](https://h3vr.thunderstore.io/package/Andrew_FTW/FTW_Arms_Spear_308/)
* [Modul FAL](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_FAL/)
* [Modul Saiga12](https://h3vr.thunderstore.io/package/nayr31/ModulSaiga12/)
* [Muzzle's Automags](https://h3vr.thunderstore.io/package/Muzzle/Muzzles_Automags/)
* [SIG P320](https://h3vr.thunderstore.io/package/Muzzle/SIG_P320/)
* [Potatoes Carbines](https://h3vr.thunderstore.io/package/Potatoes/Potatoes_Carbines/)
* [ModulHK417](https://h3vr.thunderstore.io/package/sgtbrooks/ModularHK417_and_NightVision/)
* [Modul VR80](https://h3vr.thunderstore.io/package/Muzzle/Modul_VR80/)

### Optional

[Optional Modpack](https://h3vr.thunderstore.io/package/sirpotatos/R6Steve_OptionalMods/) (downloads all the optional mods listed below)

Only used by 1 operator.

* [Slick Plate Carriers](https://h3vr.thunderstore.io/package/Arpy/Slick_Plate_Carriers/)
* [FN F2000](https://h3vr.thunderstore.io/package/edisleado/FN_F2000/)
* [Potatoes SMGs](https://h3vr.thunderstore.io/package/Potatoes/Potatoes_SMGs/)
* [QBB LSW](https://h3vr.thunderstore.io/package/Sora101Ven/QBB_LSW_RevRum_NEXXXT/)
* [ModulBeowulf](https://h3vr.thunderstore.io/package/Muzzle_Alt/ModulBeowulf/)
* [CETME Ameli Machine Gun](https://h3vr.thunderstore.io/package/Muzzle/CETME_Ameli_Machine_Gun/)
* [EF 88 Rifles](https://h3vr.thunderstore.io/package/Muzzle/EF_88_Rifles/)
* [Howa Type 89](https://h3vr.thunderstore.io/package/Okkim/Howa_Type_89/)
* [Krytac LMGE](https://h3vr.thunderstore.io/package/Nuigo_Ftrmarket/Krytac_LMGE/)
* [Modul HK](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_HK/)
* [Modul AR9](https://h3vr.thunderstore.io/package/Not_Wolfie/Modul_AR9/)

### More Optics Options

* [Meat's Modern Warfighter Optics](https://h3vr.thunderstore.io/package/Meat_banono/Meats_ModernWarfighterOptics/)
* [Shampooh's Optics](https://h3vr.thunderstore.io/package/Shampooh/Shampoohs_Optics/)
* [Ash's Tarkov Optics](https://h3vr.thunderstore.io/package/fsce/Ashes_Tarkov_Optics/)
* [Trigger Guard Laser Module](https://h3vr.thunderstore.io/package/cityrobo/TriggerguardLaserModule/)

# Changelog

## [2.3.1] - 2023-5-28

### Added

* Added Modul M590A1 with rails on pump.

### Changed

* Swapped out Ash's 25rnd mag mod for new vanilla 25 rnd mag. (Thank you Ash for the original mod!)

### Fixed

* Fixed broken vault files for backup vanilla ARs.
* Fixed broken modul shotgun vault files. (I am aware of the 2rnd mag limiter on the super shorty being in a bugged position, this is awaiting and update on Andrew's Modular Addons to fix.)

## [2.3.0] - 2023-1-11

### Changed

* Swapped out USAS-12 for the real SPAS-15 on Cav and Thunderbird.

## [2.2.1] - 2022-12-13

### Fixed

* Sens, Grim, and Solis can now appear in endless rounds.

## [2.2.0] - 2022-12-11

### Added

* Added Sens.
* Added Grim.
* Added Solis.
* Zofia pool can now spawn LMG-E if that mod is installed.
* Jager pool can now spawn HK 416C if ModulHK is installed.
* Kaid and Goyo pools can now spawn ModulVR80 if that mod is installed.
* HK417 can now spawn in several GIGN pools if ModulHK417 is installed.

## [2.1.0] - 2022-09-23

### Added

* Hibana now spawns with Demo Man sticky launcher.
* Type 89 added to Hibana as well.
* CTS 9-bang added to Ying.
* Trigger Guard Laser Module added to attachment pool.
* Meat's MW Red Dots remake and Ash's Tarkov Optics added to attachment pool for closer accuracy to R6S optics.

### Changed

* Melon's Ammo Boxes replace loose shotgun ammo spawns to reduce number of items trying to spawn at once. (Poptart box is 40mm caseless ammo, fyi)

### Fixed

* Switched to manual spawning of mags for Modul Fals to remedy unfixed bug with that mod.

## [2.0.0] - 2022-07-10

### Added

* CETME Ameli added to Maestro pool if you have that mod installed.
* EF88 Rifle added to Gridlock pool if you have that mod installed.

### Changed

* Every mod weapon now has a vanilla backup! This means that the vanilla backup weapons will show up in place of mod weapons if you don't have the appropriate mods installed. This change allows all of the mods to be optional. So install as many or as few as you like!

### Fixed

* Broken R-4C vault file will now work for Ash if you have ModulAR installed.
* M26 MASS will properly spawn with 5 rnd buckshot mags again.
* Fixed the PARA308 and CAMRS not spawning with magazines.

## [1.5.0] - 2022-05-09

### Added

* Doc will now spawn with 3 proper stim syringes that heals 40% health each if Dr. Potato's Home Remedies is installed (Operator-Specific Modpack).

### Fixed

* Fixed Mk14 EBR vault file after Modul M1A update.
* Fixed ModulFAL vault files after ModulFAL update.
* Blacklisted the 3 new exotic 45 acp mod rounds.
* Blacklisted 40mm exotic modpack.
* M26 MASS now changed to required, due to the fact that without it, neither of Buck's main guns will spawn.

## [1.4.0] - 2022-04-23

### Added

* Spy watch added to Vigil and Nokk. Provides a short term rechargeable invisibility provided you aren't holding anything.
* Le Roc added to Clash for the time being since I don't know if/when I'll add her shield properly.

### Fixed

* Blacklisted Exotic 357 and Drummer's 12ga Birdshot ammo modpacks.
* Removed Modul HK417 from recommended mods list due to it breaking people's profiles.
* Fixed broken ModulFAL vault files due to new ModulFAL update.

## [1.3.0] - 2022-04-12

### Added

* Added Thorn.
* Added Azami.

### Changed

* Muzzle's Automag replaces the Deagle 44 for Kaid and Nomad.
* Muzzle's P09 can now spawn for Mozzie.
* CSRX300 added to Kali.
* QBB LSW replaces the SA-87 for Ying.

### Fixed

* Warden's M590A1 now correctly spawns with 00 buckshot 100% of the time.
* SMG-12 now correctly has a suppressor.
* Blacklisted exotic 45 and Bubba's ammo modpacks.

## [1.2.2] - 2022-02-17

### Fixed

* Added note to README that states that the "op-specific" modpack does not download the flash shield.

## [1.2.1] - 2022-02-17

### Changed

* Changed out Jager's H416C (that used Modul HK) to the vanilla AR-15 SBR for performance reasons.
* Changed Blackbeard pool so only 1 gun shield is spawned.

## [1.2.0] - 2022-01-29

### Added

* LeRoc to Montagne pool.
* V308 to Lion pool.
* Bailiff 410 to Alibi/Maestro/Oryx pools.
* BOSG to Vigil/Dokkaebi pools.
* CZ75 26rnd mag to Vigil/Kali/Attack Recruit pools.
* MeatBeat Scanner to Pulse pool.
* Meat's M45 black version.
* Diamond Iron Sights to V308/R4-C/F-90/SR-25.

### Changed

* Now requires Ash's 25 rnd Stanag mag for Jager, Zero, Jackal, Twitch, etc.
* Changed all item IDs' suffix from ".sirpotatos" to ".tt" (TatoTactical)

### Fixed

* Missing burst mode on F-90 (Aug A3).
* Blacklisted new ammo types from 12ga Additions and Tarkov Rounds Overhauled.

## [1.1.1] - 2022-01-03

### Changed

* Updated ReadMe with correct M45 and ITA12 links.

## [1.1.0] - 2022-01-02

### Changed

* Standalone Release on Thunderstore.
* M26 MASS will now spawn new AltMag (5 rnd with buckshot) to match Buck's Skeleton Key.

## [1.0.3] - 2021-12-22

### Fixed

* Fixed category listing so it's hidden on TS for Modmas.

## [1.0.2] - 2021-12-21

### Fixed

* Changed incorrect operator pricing from 5 to 6.

## [1.0.1] - 2021-12-17

### Changed

* Nerfed the Easy Config on the sosigs. If you want an easier/more casual experience, select the Easy AI config in the TNH lobby. It won't reduce their numbers, but will make them much weaker.
* Swapped out G19 Suppressor for the M9 and Operator Suppressors.
* Modified 556xi and AR15.50 vault guns.

### Fixed

* Fixed icons so gun icons are visible.
* 5.56 incendiary will no longer spawn.
* Both flash shield variants will be able to spawn now.
* Clash now spawns with 83.333% less shotguns...

## [1.0.0] - 2021-12-14

* Initial Release for Modmas Day 14.